Package org.eclipse.m2m.atl.adt

## Class AtlCleanVisitor

- java.lang.Object
- - org.eclipse.m2m.atl.adt.AtlResourceVisitor
  - - org.eclipse.m2m.atl.adt.AtlCleanVisitor

All Implemented Interfaces:
  `org.eclipse.core.resources.IResourceVisitor`

    public class AtlCleanVisitor
    extends AtlResourceVisitor

The ATL clean visitor.

### Constructor Summary

Constructors
`AtlCleanVisitor​(org.eclipse.core.runtime.IProgressMonitor monitor)` Creates the visitor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `visit​(org.eclipse.core.resources.IResource resource)`

### Methods inherited from class org.eclipse.m2m.atl.adt.AtlResourceVisitor

`getAsmFile, getBytecodeFile, getEmftvmFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlCleanVisitor

    public AtlCleanVisitor​(org.eclipse.core.runtime.IProgressMonitor monitor)

Creates the visitor.

Parameters:
  `monitor` - the progress monitor

### Method Detail

#### visit

    public boolean visit​(org.eclipse.core.resources.IResource resource)
                  throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IResourceVisitor.visit(org.eclipse.core.resources.IResource)`